Bug 833640 - Chmsee 1.99.09 fails to open some .chm file (XPCOM component)
Summary: Chmsee 1.99.09 fails to open some .chm file (XPCOM component)
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: chmsee   
(Show other bugs)
Version: 2
Hardware: i386
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Yijun Yuan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-06-20 02:01 UTC by nomnex
Modified: 2012-07-05 00:18 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-04 13:26:45 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
chm file generating an error message in chmsee (936.70 KB, application/x-chm)
2012-06-20 02:01 UTC, nomnex
no flags Details
screenshot for view sample chm file (149.98 KB, image/png)
2012-07-04 07:11 UTC, jungleji
no flags Details

Description nomnex 2012-06-20 02:01:30 UTC
Created attachment 593109 [details]
chm file generating an error message in chmsee

Description of problem:

Chmsee fails to open some .chm files. I don't get any error message in the terminal.

When I click on the .chm file in the file manager, Chmsee opens with the splash screen, the chm file is not loaded.

If I use the open menu in Chmsee, I am greeted with the error:

Open book failed!
You may need to rebuild the chmsee XPCOM component.

Version-Release number of selected component (if applicable):

[mt@nh28d ebook]$ chmsee --version
 ChmSee 1.99.09

Additional info:

I tested with xchm, all my .chm files open (the purpose is not comparative, it was to make sure these .chm files were not damaged, before opening a bug report)

Most of the .chm files opens in chmsee, I experience this problem with 2 chm files (I have a total of 12 chm files)

Comment 1 jungleji 2012-07-04 03:40:20 UTC
"You may need to rebuild the chmsee XPCOM component." error means the components/libxpcomchm.so does not compatible with your xulrunner.

So, please check your current xulrunner version:

$ xulrunner --version

chmsee 1.99.10 work with xulrunner 12.* and 1.99.11 work with 13.*

Comment 2 nomnex 2012-07-04 04:09:13 UTC
[mt@nh28d ~]$ xulrunner --version
Mozilla XULRunner 12.0 - 20120424092735

Could you open the .chm attached? If so, what chmsee version was sucessful opening it?

Comment 3 jungleji 2012-07-04 07:11:24 UTC
Created attachment 596156 [details]
screenshot for view sample chm file

Comment 4 jungleji 2012-07-04 07:13:37 UTC
Yes, I open this sample chm file with chmsee 1.9.11 under

$ xulrunner --version
Mozilla XULRunner 13.0 - 20120606114039

Comment 5 nomnex 2012-07-04 07:47:14 UTC
Thank You, then I will update to F-17 soon (F-15 here) it will fix the problem.

Comment 6 Yijun Yuan 2012-07-04 13:26:45 UTC
F-15 also has xulrunner 13, and chmsee has been rebuilt against that. I didn't update the source code, so the "chmsee --version" output is not quite right. Please use "rpm -qi xulrunner chmsee" to query their versions.

Here are the related build on koji:

http://koji.fedoraproject.org/koji/buildinfo?buildID=325852 xulrunner
http://koji.fedoraproject.org/koji/buildinfo?buildID=322124 chmsee

Note chmsee was rebuilt against xulrunner 13.0, not 13.0.1. I can open and read the CHM file with this build. I'm using F-17.

Comment 7 nomnex 2012-07-04 14:37:35 UTC
thanks for that.

It's a bit akward. My system was up to date. I have the last chmsee version in date, but xulrunner 12.

Can I install xulrunner 13.0.1 from the link provided, or do I have to search form a xulrunner 13.0 rpm package?

> Note chmsee was rebuilt against xulrunner 13.0, not 13.0.1.

[mt@nh28d ~]$ rpm -qi xulrunner chmsee
Name        : xulrunner
Version     : 12.0
Release     : 1.fc15
Architecture: i686
Install Date: Tue 01 May 2012 10:39:21 PM JST

Source RPM  : xulrunner-12.0-1.fc15.src.rpm
Build Date  : Tue 24 Apr 2012 06:40:23 PM JST
Build Host  : x86-14.phx2.fedoraproject.org

Name        : chmsee
Version     : 1.99
Release     : 0.15.9.git36b4702.fc15
Architecture: i686
Install Date: Tue 19 Jun 2012 10:55:57 PM JST

Source RPM  : chmsee-1.99-0.15.9.git36b4702.fc15.src.rpm
Build Date  : Tue 05 Jun 2012 11:03:27 PM JST
Build Host  : x86-07.phx2.fedoraproject.org

Comment 8 Yijun Yuan 2012-07-04 16:18:09 UTC
I can see a version of xulrunner 13.0 was pushed to F15 updates. It is tagged as candidate, but maybe it is not pushed to updates.

http://koji.fedoraproject.org/koji/buildinfo?buildID=322261

Sorry for the incompatibility. Please either install from koji (remember firefox needs to update too), or upgrade to F-17.

Comment 9 nomnex 2012-07-05 00:18:41 UTC
Will try that, and update to F-17 later. Thanks again Yuan.


Note You need to log in before you can comment on or make changes to this bug.